#!/bin/bash
#
yy=$1
  if [ $yy -eq 2000 -o $yy -eq 2004 -o $yy -eq 2008 -o $yy -eq 2012 -o $yy -eq 2016 -o $yy -eq 2020 ]
  then
    mm=( 31 29 31 30 31 30 31 31 30 31 30 31 )
  else
    mm=( 31 28 31 30 31 30 31 31 30 31 30 31 )
  fi
  mo=( jan feb mar apr may jun jul aug sep oct nov dec )

for i in $(seq 12)
do
  ma=$i
  if [ $i -lt 10 ]; then ma='0'$i; fi
  ii=$(expr $i - 1)
  #echo ${yy}${mm[$ii]}' '${mo[$ii]}
  args="$yy ${mo[$ii]} ${mm[$ii]} $ma"
  echo "run month_surf.gs $args"
  grads -blc "run month_surf.gs $args"
#  echo "run month_rout.gs $args"
#  grads -blc "run month_rout.gs $args"

done
exit
  
